gitlab:
  name: GitLab
  path: gitlab-org/gitlab
  link: https://gitlab.com/gitlab-org/gitlab
  mirrors:
    - https://dev.gitlab.org/gitlab/gitlabhq
  description: |
    This is the canonical development repository for GitLab. Open source code
    from this repository gets mirrored to GitLab-FOSS project.

    This project is the source of the gitlab-ee distributions like
    omnibus-gitlab packages, docker images, AWS AMIs etc.

    GitLab EE requires a license key to be used, without which only the CE
    functionality will be available.

gitlab-foss:
  name: GitLab FOSS
  path: gitlab-org/gitlab-foss
  link: https://gitlab.com/gitlab-org/gitlab-foss
  mirrors:
    - https://github.com/gitlabhq/gitlabhq
    - https://dev.gitlab.org/gitlab/gitlabhq
  description: |
    This is a mirror of GitLab codebase with all the proprietary code removed.

    Development happens in the canonical repository at GitLab.
    This repository is updated periodically with changes from there.

    This project is the source of the gitlab-ce distributions like
    omnibus-gitlab packages, docker images, AWS AMIs etc.

gitlab-elasticsearch-indexer:
  name: GitLab Elasticsearch Indexer
  path: gitlab-org/gitlab-elasticsearch-indexer
  link: https://gitlab.com/gitlab-org/gitlab-elasticsearch-indexer
  description: |
    An Elasticsearch indexer for Git repositories. Used by GitLab EE to
    implement Global Code Search.

gitlab-shell:
  name: GitLab Shell
  path: gitlab-org/gitlab-shell
  link: https://gitlab.com/gitlab-org/gitlab-shell
  mirrors:
    - https://dev.gitlab.org/gitlab/gitlab-shell
    - https://github.com/gitlabhq/gitlab-shell
  description: |
    GitLab Shell handles Git commands for GitLab. It's an essential part of GitLab.

gitlab-workhorse:
  name: GitLab Workhorse
  path: gitlab-org/gitlab-workhorse
  link: https://gitlab.com/gitlab-org/gitlab-workhorse
  description: |
    Gitlab-workhorse is a smart reverse proxy for GitLab. It handles "large" HTTP
    requests such as file downloads, file uploads, Git push/pull and Git archive
    downloads.

omnibus-gitlab:
  name: Omnibus GitLab
  path: gitlab-org/omnibus-gitlab
  link: https://gitlab.com/gitlab-org/omnibus-gitlab
  mirrors:
  - https://dev.gitlab.org/gitlab/omnibus-gitlab
  - https://github.com/gitlabhq/omnibus-gitlab
  description: |
    Omnibus GitLab creates the packages for GitLab.

gitlab-orchestrator:
  name: GitLab Orchestrator
  path: gitlab-org/gitlab-orchestrator
  link: https://gitlab.com/gitlab-org/gitlab-orchestrator
  description: |
    GitLab Orchestrator automates the installation of GitLab multi-node deployments,
    High Availability deployments, and GitLab Geo deployments.

gitlab-operator:
  name: GitLab Operator
  path: gitlab-org/cloud-native/gitlab-operator
  link: https://gitlab.com/gitlab-org/cloud-native/gitlab-operator
  description: |
    The GitLab Operator aims to manage the full lifecycle of cloud native GitLab
    instances, in Kubernetes and OpenShift container platforms.

cookbook-omnibus-gitlab:
  name: Cookbook Omnibus GitLab
  path: gitlab-org/cookbook-omnibus-gitlab
  link: https://gitlab.com/gitlab-org/cookbook-omnibus-gitlab
  description: |
    Chef Cookbooks for deploying omnibus-gitlab package

distribution:
  name: Distribution team issue tracker
  path: gitlab-org/distribution/team-tasks
  link: https://gitlab.com/gitlab-org/distribution/team-tasks
  description: |
    Used to track Distribution team work.

gitlab-com-infrastructure:
  name: GitLab.com - infrastructure Terraform files
  path: gitlab-com/gitlab-com-infrastructure
  link: https://gitlab.com/gitlab-com/gitlab-com-infrastructure
  description: |
    Terraform - configuration and provisioning files for virtual machine nodes on production and staging

gitlab-com-runbooks:
  name: Gitlab.com - runbooks
  path: gitlab-com/runbooks
  link: https://gitlab.com/gitlab-com/runbooks
  description: |
    Describes system components, triage procedures, alert configuration,  Grafana dashboards, metrics catalog, Prometheus recording rules for GitLab.com used by the Infrastructure department.

infrastructure:
  name: GitLab.com - infrastructure issue tracker
  path: gitlab-com/infrastructure
  link: https://gitlab.com/gitlab-com/infrastructure
  description: |
    Used to track the infrastructure work of GitLab.com itself

gitlab-cookbooks:
  name: GitLab.com - infrastructure node provisioning by role
  path: gitlab-cookbooks
  link: https://gitlab.com/gitlab-cookbooks
  description: |
    This is a group with a project - cookbooks - for each provisioned role in the GitLab.com cluster.
    These cooksbooks are applied after the virtual machine node is provisioned by Terraform project.

gitlab-cog:
  name: GitLab.com COGS
  path: gitlab-cog
  link: https://gitlab.com/gitlab-cog
  description: |
    This is a group which contains a separate project for each COG used by the GitLab.com infrastructure.

    A COG is an integration between the role of a node (or cluster) and a Chat application such as Slack.  The COG allows
    the infrastructure node (or cluster) to post status and alerts into Chat Channels and also allows for commands
    to be issued in the Chat Channel that control the behavior of the infrastructure node/cluster.

gitlab-development-kit:
  name: GitLab Development Kit
  path: gitlab-org/gitlab-development-kit
  link: https://gitlab.com/gitlab-org/gitlab-development-kit
  description: |
    GitLab Development Kit (GDK) provides a collection of scripts and other
    resources to install and manage a GitLab installation for development
    purposes. The source code of GitLab is spread over multiple repositories
    and it requires Ruby, Go, Postgres/MySQL, Redis and more to run.

    GDK helps you install and configure all these different components,
    and start/stop them when you work on GitLab.

gitlab-compose-kit:
  name: GitLab Compose Kit
  path: gitlab-org/gitlab-compose-kit
  link: https://gitlab.com/gitlab-org/gitlab-compose-kit
  description: |
    An alternative to GitLab Development Kit (GDK) based on docker-compose
    and that is fully container-based and immutable.

gitaly:
  name: Gitaly
  path: gitlab-org/gitaly
  link: https://gitlab.com/gitlab-org/gitaly
  description: |
    Git RPC service for handling all the git calls made by GitLab.

gitlab-qa:
  name: GitLab QA
  path: gitlab-org/gitlab-qa
  link: https://gitlab.com/gitlab-org/gitlab-qa
  description: |
    End-to-end, black-box, entirely click-driven integration tests for GitLab.

gitlab-environment-toolkit:
  name: GitLab Environment Toolkit
  path: gitlab-org/gitlab-environment-toolkit
  link: https://gitlab.com/gitlab-org/gitlab-environment-toolkit
  description: |
    The GitLab Environment Toolkit (GET) is a provisioning and configuration toolkit for
    deploying GitLab's Reference Architectures with Terraform and Ansible.

gitlab-performance-tool:
  name: GitLab Performance Tool
  path: gitlab-org/quality/performance
  link: https://gitlab.com/gitlab-org/quality/performance
  description: |
    The GitLab Performance Tool (GPT) enables you to performance test a GitLab environment

gitlab-roulette:
  name: GitLab Roulette
  path: gitlab-org/gitlab-roulette
  link: https://gitlab.com/gitlab-org/gitlab-roulette
  description: |
    This project regularly publish a JSON that contains available maintainers
    for gitlab-org projects: https://gitlab-org.gitlab.io/gitlab-roulette/roulette.json

triage-ops:
  name: GitLab triage operations
  path: gitlab-org/quality/triage-ops
  link: https://gitlab.com/gitlab-org/quality/triage-ops
  description: |
    Triage operations for GitLab Issues and Merge Requests

engineering-productivity-infrastructure:
  name: Engineering productivity infrastructure
  path: gitlab-org/quality/engineering-productivity-infrastructure
  link: https://gitlab.com/gitlab-org/quality/engineering-productivity-infrastructure
  description: |
    Project containing terraform files for engineering productivity infrastructure (Review Apps, Triage Ops service, etc.).

www-gitlab-com:
  name: www-gitlab-com
  path: gitlab-com/www-gitlab-com
  link: https://gitlab.com/gitlab-com/www-gitlab-com
  description: GitLab Inc. Marketing, Blog and Handbook websites available on about.gitlab.com

marketo-tools:
  name: Marketo Tools
  path: gitlab-com/marketo-tools
  link: https://gitlab.com/gitlab-com/marketo-tools
  description: Internal Marketo Tools

githost:
  name: GitHost.io
  path: gitlab-com/githost
  link: https://gitlab.com/gitlab-com/githost
  description: Hosted version of GitLab

gitlab-pages:
  name: GitLab Pages
  path: gitlab-org/gitlab-pages
  link: https://gitlab.com/gitlab-org/gitlab-pages
  description: |
    GitLab Pages daemon used to serve static websites for GitLab users

go-mimedb:
  name: Go MimeDB
  path: gitlab-org/go-mimedb
  link: https://gitlab.com/gitlab-org/go-mimedb
  description: |
    Go package that generates additional MIME types that can be loaded into memory by a web server

gitlab-runner:
  name: GitLab Runner
  path: gitlab-org/gitlab-runner
  link: https://gitlab.com/gitlab-org/gitlab-runner
  description: GitLab CI/CD Runner

autoscaler:
  name: Autoscaler Custom Executor driver for GitLab Runner
  path: gitlab-org/ci-cd/custom-executor-drivers/autoscaler
  link: https://gitlab.com/gitlab-org/ci-cd/custom-executor-drivers/autoscaler
  description: |
    A driver for GitLab Runner's Custom Executor, that implements autoscaling algorithm

orka:
  name: OS images for MacOS build cloud
  path: gitlab-org/ci-cd/shared-runners/images/macstadium/orka
  link: https://gitlab.com/gitlab-org/ci-cd/shared-runners/images/macstadium/orka
  description: |
    OS images for MacOS build cloud

customers-app:
  name: CustomersDot (Subscription Portal)
  path: gitlab-org/customers-gitlab-com
  link: https://gitlab.com/gitlab-org/customers-gitlab-com
  description: Internal GitLab CustomersDot

gitlab-license:
  name: GitLab License
  path: gitlab/gitlab-license
  link: https://dev.gitlab.org/gitlab/gitlab-license
  description: Internal GitLab License Distribution App

university:
  name: GitLab University
  path: gitlab-org/university
  link: https://gitlab.com/gitlab-org/university
  description: Internal GitLab University

version-gitlab-com:
  name: version.gitlab.com
  path: gitlab-services/version-gitlab-com
  link: https://gitlab.com/gitlab-services/version-gitlab-com
  description: Internal GitLab Version App

gitlab-contributors:
  name: GitLab Contributors
  path: gitlab-com/gitlab-contributors
  link: https://gitlab.com/gitlab-com/gitlab-contributors
  description: Application behind contributors.gitlab.com

pages-gitlab-io:
  name: pages.gitlab.io
  path: pages/pages.gitlab.io
  link: https://gitlab.com/pages/pages.gitlab.io
  description: GitLab Pages landing page

gitlab-exporter:
  name: GitLab Exporter
  path: gitlab-org/gitlab-exporter
  link: https://gitlab.com/gitlab-org/gitlab-exporter
  description: Prometheus exporter for GitLab application metrics.

gitlab-metrics-exporter:
  name: GitLab Metrics Exporter
  path: gitlab-org/gitlab-metrics-exporter
  link: https://gitlab.com/gitlab-org/gitlab-metrics-exporter
  description: |
    Prometheus exporter for GitLab application metrics. It is intended to
    replace gitlab-exporter and in-app Ruby exporters.

gitlab-docs:
  name: GitLab Docs
  path: gitlab-org/gitlab-docs
  link: https://gitlab.com/gitlab-org/gitlab-docs
  description: Project behind docs.GitLab.com

gitlab_kramdown:
  name: GitLab Kramdown
  path: gitlab-org/gitlab_kramdown
  link: https://gitlab.com/gitlab-org/gitlab_kramdown
  description: GitLab Flavored Markdown extensions to Kramdown

gitlab-markup:
  name: GitLab Markup
  path: gitlab-org/gitlab-markup
  link: https://gitlab.com/gitlab-org/gitlab-markup
  description: Markup render for non Markdown content

release-tools:
  name: GitLab Release Tools
  path: gitlab-org/release-tools
  link: https://gitlab.com/gitlab-org/release-tools
  description: Instructions and tools for releasing GitLab

takeoff:
  name: takeoff
  path: gitlab-org/takeoff
  link: https://gitlab.com/gitlab-org/takeoff
  description: Tooling used to deploy GitLab.com to any environment

rubocop-gitlab-security:
  name: RuboCop-GitLab-Security
  path: gitlab-org/rubocop-gitlab-security
  link: https://gitlab.com/gitlab-org/rubocop-gitlab-security
  description: |
    GitLab RuboCop gem for static analysis.

gitlab-design:
  name: GitLab Design
  path: gitlab-org/gitlab-design
  link: https://gitlab.com/gitlab-org/gitlab-design
  description:
    GitLab Design is used to jumpstart design work through the use of our design library.
    It is intended to enable frequent, stable, and consistent contributions while making
    GitLab's design open and transparent. This project helps facilitate design handoffs and
    design–development communication.

charts-gitlab-io:
  name: GitLab Helm Repository
  path: charts/charts.gitlab.io
  link: https://gitlab.com/charts/charts.gitlab.io
  description: |
    GitLab's official All-in-one Helm charts.

gitlab-chart:
  name: GitLab Cloud Native Helm Chart
  path: charts/gitlab
  link: https://gitlab.com/gitlab-org/charts/gitlab
  description: |
    GitLab's official Cloud Native Helm chart.

auto-deploy-image:
  name: Auto Deploy Docker Image
  path: cluster-integration/auto-deploy-image
  link: https://gitlab.com/gitlab-org/cluster-integration/auto-deploy-image/
  description: |
    The image in which Auto DevOps deployment jobs run, responsible for
    complex deployment logic that can't be handled by the Auto Deploy App
    helm chart

auto-build-image:
  name: Auto Build Docker Image
  path: cluster-integration/auto-build-image
  link: https://gitlab.com/gitlab-org/cluster-integration/auto-build-image/
  description: |
    The image in which Auto DevOps build jobs run. Handles various logic around
    building and tagging Docker images.

cluster-applications:
  name: Managed Cluster Applications Docker Image
  path: cluster-integration/cluster-applications
  link: https://gitlab.com/gitlab-org/cluster-integration/cluster-applications
  description: |
    The image in which Managed Cluster Applications configuration jobs run.

gitlab-agent:
  name: GitLab Agent for Kubernetes
  path: cluster-integration/gitlab-agent
  link: https://gitlab.com/gitlab-org/cluster-integration/gitlab-agent
  description: |
    GitLab Agent for Kubernetes is an active in-cluster component for solving any GitLab<->Kubernetes integration tasks.

gitlab-agent-chart:
  name: Helm chart for GitLab Agent for Kubernetes
  path: charts/gitlab-agent
  link: https://gitlab.com/gitlab-org/charts/gitlab-agent
  description: |
    GitLab's official Helm chart for the GitLab agent for Kubernetes

kubernetes-gitlab-demo:
  name: Kubernetes GitLab Demo
  path: gitlab-org/kubernetes-gitlab-demo
  link: https://gitlab.com/gitlab-org/kubernetes-gitlab-demo
  description: |
    Deprecated GitLab Idea to Production Kubernetes demo project

group-conversations:
  name: Group Conversations
  path: gitlab-org/group-conversations
  link: https://gitlab.com/gitlab-org/group-conversations
  description: |
    Presentations from (some of) the teams at GitLab, to update the rest of the
    world on what they've been working on.

design.gitlab.com:
  name: Pajamas Design System
  path: gitlab-org/gitlab-services/design.gitlab.com
  link: https://gitlab.com/gitlab-org/gitlab-services/design.gitlab.com
  description: |
    GitLab's open source Design System. Contains brand and product design
    guidelines and UI components for all things GitLab.

gitlab-svgs:
  name: GitLab SVGs
  path: gitlab-org/gitlab-svgs
  link: https://gitlab.com/gitlab-org/gitlab-svgs
  description: |
    Our SVG Assets and the corresponding pipelines to create all of our SVG sprites
    for our icons. Also automatic optimisation of SVG based illustrations.

gitlab-restore:
  name: Backup/restore procedures
  path: gitlab-restore
  link: https://gitlab.com/gitlab-restore
  description: |
    Automated backup and restore procedures for GitLab.com data

tanukidesk:
  name: Tanukidesk
  path: gitlab-com/marketing/community-relations/community-advocacy/tanukidesk
  link: https://gitlab.com/gitlab-com/marketing/community-relations/community-advocacy/tanukidesk
  description: |
    Bidirectional communication between Zendesk and Disqus / HackerNews.

tanuki_emoji:
  name: Tanuki Emoji
  path: gitlab-org/tanuki_emoji
  link: https://gitlab.com/gitlab-org/tanuki_emoji
  description: |
    Library that provides Emoji Character information

remote-only:
  name: RemoteOnly.org
  path: gitlab-com/www-remoteonly-org
  link: https://gitlab.com/gitlab-com/www-remoteonly-org/
  description: |
    This is the source for the https://www.remoteonly.org site.

grape-path-helpers:
  name: grape-path-helpers
  path: gitlab-org/grape-path-helpers
  link: https://gitlab.com/gitlab-org/grape-path-helpers
  description: |
    Provides named route helpers for Grape APIs, similar to Rails' route helpers.
    Forked/renamed from https://github.com/reprah/grape-route-helpers

gitlab-ui:
  name: gitlab-ui
  path: gitlab-org/gitlab-ui
  link: https://gitlab.com/gitlab-org/gitlab-ui
  description: |
    UI component library written in Vue.js.
    Use https://gitlab-org.gitlab.io/gitlab-ui/ to see all the components.
    Every frontend engineer at GitLab is a reviewer of this project.
    However, the reviewers below are part of the gitlab-ui working group,
    and it's recommended to ping one of them in a non-trivial MR.

gitlab-eslint-config:
  name: gitlab-eslint-config
  path: gitlab-org/gitlab-eslint-config
  link: https://gitlab.com/gitlab-org/gitlab-eslint-config
  description: |
    GitLab's eslint configuration

prometheus-client-mmap:
  name: prometheus-client-mmap
  path: gitlab-org/prometheus-client-mmap
  link: https://gitlab.com/gitlab-org/prometheus-client-mmap
  description: |
    This Prometheus library is fork of Prometheus Ruby Client
    that uses memory-mapped files to share metrics from multiple processes

gitlab-build-images:
  name: gitlab-build-images
  path: gitlab-org/gitlab-build-images
  link: https://gitlab.com/gitlab-org/gitlab-build-images/
  description: |
    A repository for building Docker images for GitLab builds and tests.

gitlab-omnibus-builder:
  name: GitLab Omnibus Builder
  path: gitlab-org/gitlab-omnibus-builder
  link: https://gitlab.com/gitlab-org/gitlab-omnibus-builder
  description: |
    A repository for building base Docker images to be used while building
    Omnibus-GitLab packages for supported operating systems. It also contains
    a cookbook to setup builder machines.

labkit:
  name: labkit
  path: gitlab-org/labkit
  link: https://gitlab.com/gitlab-org/labkit
  description: |
    LabKit is minimalist library to provide functionality for Go services at GitLab.

labkit-ruby:
  name: labkit-ruby
  path: gitlab-org/labkit-ruby
  link: https://gitlab.com/gitlab-org/labkit-ruby
  description: |
    LabKit-Ruby is minimalist library to provide functionality for Ruby services at GitLab.

gitlabktl:
  name: gitlabktl
  path: gitlab-org/gitlabktl
  link: https://gitlab.com/gitlab-org/gitlabktl
  description: |
    `gitlabktl` is a tool that integrates GitLab with Kubernetes / Knative and
    is a part of GitLab Serverless platform.

gitter-webapp:
  name: Gitter webapp
  path: gitlab-org/gitter/webapp
  link: https://gitlab.com/gitlab-org/gitter/webapp
  description: |
    Gitter is a community for software developers. This project is the main monolith web chat application.

peopleops-employment-automation:
  name: PeopleOps Employment Automation
  path: gitlab-people-engineering/employment-automation
  link: https://gitlab.com/gitlab-com/people-group/peopleops-eng/employment-automation/
  description: |
    Automation related to various employment activities at GitLab, like
    onboarding issue creation, anniversary and new hire announcements,
    GreenHouse to BambooHR sync, general issue housekeeping, etc.

snowflake_spend:
  name: Snowflake Spend dbt Package
  path: gitlab-data/snowflake_spend
  link: https://gitlab.com/gitlab-data/snowflake_spend
  description: |
    This is a dbt package for understanding the cost your Snowflake Data Warehouse is accruing.

gitlab-data-utils:
  name: Data Utils
  path: gitlab-data/gitlab-data-utils
  link: https://gitlab.com/gitlab-data/gitlab-data-utils
  description: |
    Repo for commonly used utilities within the data org

data-image:
  name: Data Infrastructure
  path: gitlab-data/data-image
  link: https://gitlab.com/gitlab-data/data-image
  description: |
    The project for the Data Team's Docker Images/Kubernetes Infrastructure

gitlab_data:
  name: GitLab Data
  path: gitlab-data/analytics
  link: https://gitlab.com/gitlab-data/analytics
  description: |
    The primary project for the GitLab Data team

data_chatops:
  name: GitLab Data Chatops
  path: gitlab-data/chatops
  link: https://gitlab.com/gitlab-data/chatops
  description: |
    The Data team primarily uses chatops to troubleshoot data quality concerns.

secure-DS-gemnasium:
  name: Dependency Scanning - Gemnasium analyzer
  path: gitlab-org/security-products/analyzers/gemnasium
  link: https://gitlab.com/gitlab-org/security-products/analyzers/gemnasium
  description: |
    Gemnasium analyzer providing scanning capabilities for our Dependency Scanning category.

secure-DS-gemnasium-maven:
  name: Dependency Scanning - Gemnasium-Maven analyzer
  path: gitlab-org/security-products/analyzers/gemnasium-maven
  link: https://gitlab.com/gitlab-org/security-products/analyzers/gemnasium-maven
  description: |
    Gemnasium Maven analyzer providing scanning capabilities for our Dependency Scanning category.

secure-DS-gemnasium-python:
  name: Dependency Scanning - Gemnasium-Python analyzer
  path: gitlab-org/security-products/analyzers/gemnasium-python
  link: https://gitlab.com/gitlab-org/security-products/analyzers/gemnasium-python
  description: |
    Gemnasium Python analyzer providing scanning capabilities for our Dependency Scanning category.

secure-DS-gemnasium-db:
  name: Dependency Scanning - Gemnasium Database
  path: gitlab-org/security-products/gemnasium-db
  link: https://gitlab.com/gitlab-org/security-products/gemnasium-db
  description: |
    Repository providing security advisories for the Gemnasium analyzer (Dependency Scanning). Part of our GitLab Advisory Database category.

secure-analyzers:
  name: Secure Analyzers
  path: gitlab-org/security-products/analyzers
  link: https://gitlab.com/gitlab-org/security-products/analyzers
  description: |
    Several repositories for the various analyzers including language specific analyzers, container scanning, secret detection, and dependency scanning.

secure-dast:
  name: Dynamic Application Security Testing (DAST)
  path: gitlab-org/security-products/dast
  link: https://gitlab.com/gitlab-org/security-products/dast
  description: |
    Dynamic Application Security Testing for GitLab CI

secure-browser-based-dast:
  name: Browser-based DAST Engine
  path: gitlab-org/security-products/analyzers/browserker
  link: https://gitlab.com/gitlab-org/security-products/analyzers/browserker
  description: |
    Browser-based Dynamic Application Security Testing for GitLab CI

secure-coverage-fuzzing:
  name: Coverage Fuzzer
  path: gitlab-org/security-products/analyzers/gitlab-cov-fuzz-src
  link: https://gitlab.com/gitlab-org/security-products/analyzers/gitlab-cov-fuzz-src
  description: |
    Coverage Fuzzing Tooling for GitLab CI

secure-api-security:
  name: API Security
  path: gitlab-org/security-products/analyzers/api-fuzzing-src
  link: https://gitlab.com/gitlab-org/security-products/analyzers/api-fuzzing-src
  description: |
    API Security testing engine for GitLab CI.

secure-sast:
  name: Static Application Security Testing (SAST)
  path: gitlab-org/security-products/sast
  link: https://gitlab.com/gitlab-org/security-products/sast
  description: |
    Static Application Security Testing for GitLab CI

secure-SAST-bandit:
  name: Static Analysis - Bandit analyzer
  path: gitlab-org/security-products/analyzers/bandit
  link: https://gitlab.com/gitlab-org/security-products/analyzers/bandit
  description: |
    Bandit analyzer providing scanning capabilities for our Static Analysis category.

secure-SAST-brakeman:
  name: Static Analysis - Brakeman analyzer
  path: gitlab-org/security-products/analyzers/brakeman
  link: https://gitlab.com/gitlab-org/security-products/analyzers/brakeman
  description: |
    Brakeman analyzer providing scanning capabilities for our Static Analysis category.

secure-SAST-eslint:
  name: Static Analysis - Eslint analyzer
  path: gitlab-org/security-products/analyzers/eslint
  link: https://gitlab.com/gitlab-org/security-products/analyzers/eslint
  description: |
    Eslint analyzer providing scanning capabilities for our Static Analysis category.

secure-SAST-flawfinder:
  name: Static Analysis - Flawfinder analyzer
  path: gitlab-org/security-products/analyzers/flawfinder
  link: https://gitlab.com/gitlab-org/security-products/analyzers/flawfinder
  description: |
    Flawfinder analyzer providing scanning capabilities for our Static Analysis category.

secure-SAST-gosec:
  name: Static Analysis - Gosec analyzer
  path: gitlab-org/security-products/analyzers/gosec
  link: https://gitlab.com/gitlab-org/security-products/analyzers/gosec
  description: |
    Gosec analyzer providing scanning capabilities for our Static Analysis category.

secure-SAST-kics:
  name: Static Analysis - KICS analyzer
  path: gitlab-org/security-products/analyzers/kics
  link: https://gitlab.com/gitlab-org/security-products/analyzers/kics
  description: |
    KICS analyzer providing IaC scanning capabilities for our Static Analysis category.

secure-SAST-kubesec:
  name: Static Analysis - Kubesec analyzer
  path: gitlab-org/security-products/analyzers/kubesec
  link: https://gitlab.com/gitlab-org/security-products/analyzers/kubesec
  description: |
    Kubesec analyzer providing IaC scanning capabilities for our Static Analysis category.

secure-SAST-mobsf:
  name: Static Analysis - MobSF analyzer
  path: gitlab-org/security-products/analyzers/mobsf
  link: https://gitlab.com/gitlab-org/security-products/analyzers/mobsf
  description: |
    MobSF analyzer providing scanning capabilities for our Static Analysis category.

secure-SAST-nodejs-scan:
  name: Static Analysis - Nodejs-Scan analyzer
  path: gitlab-org/security-products/analyzers/nodejs-scan
  link: https://gitlab.com/gitlab-org/security-products/analyzers/nodejs-scan
  description: |
    Nodejs-Scan analyzer providing scanning capabilities for our Static Analysis category.

secure-SAST-phpcs-security-audit:
  name: Static Analysis - PHPCS-Security-Audit analyzer
  path: gitlab-org/security-products/analyzers/phpcs-security-audit
  link: https://gitlab.com/gitlab-org/security-products/analyzers/phpcs-security-audit
  description: |
    PHPCS-Security-Audit analyzer providing scanning capabilities for our Static Analysis category.

secure-SAST-pmd-apex:
  name: Static Analysis - PMD Apex analyzer
  path: gitlab-org/security-products/analyzers/pmd-apex
  link: https://gitlab.com/gitlab-org/security-products/analyzers/pmd-apex
  description: |
    PMD Apex analyzer providing scanning capabilities for our Static Analysis category.

secure-SD-secrets:
  name: Secret Detection - Secrets analyzer
  path: gitlab-org/security-products/analyzers/secrets
  link: https://gitlab.com/gitlab-org/security-products/analyzers/secrets
  description: |
    Secrets analyzer providing scanning capabilities for our Secret Detection category.

secure-SAST-security-code-scan:
  name: Static Analysis - Security-Code-Scan analyzer
  path: gitlab-org/security-products/analyzers/security-code-scan
  link: https://gitlab.com/gitlab-org/security-products/analyzers/security-code-scan
  description: |
    Security-Code-Scan analyzer providing scanning capabilities for our Static Analysis category.

secure-SAST-semgrep:
  name: Static Analysis - Semgrep analyzer
  path: gitlab-org/security-products/analyzers/semgrep
  link: https://gitlab.com/gitlab-org/security-products/analyzers/semgrep
  description: |
    Semgrep analyzer providing scanning capabilities for our Static Analysis category.

secure-SAST-sobelow:
  name: Static Analysis - Sobelow analyzer
  path: gitlab-org/security-products/analyzers/sobelow
  link: https://gitlab.com/gitlab-org/security-products/analyzers/sobelow
  description: |
    Sobelow analyzer providing scanning capabilities for our Static Analysis category.

secure-SAST-spotbugs:
  name: Static Analysis - Spotbugs analyzer
  path: gitlab-org/security-products/analyzers/spotbugs
  link: https://gitlab.com/gitlab-org/security-products/analyzers/spotbugs
  description: |
    Spotbugs analyzer providing scanning capabilities for our Static Analysis category.

secure-common-command:
  name: Secure Command analyzer
  path: gitlab-org/security-products/analyzers/command
  link: https://gitlab.com/gitlab-org/security-products/analyzers/command
  description: |
    Command module providing common CLI capabilities for our Secure stage analyzers.

secure-common-report:
  name: Secure Report analyzer
  path: gitlab-org/security-products/analyzers/report
  link: https://gitlab.com/gitlab-org/security-products/analyzers/report
  description: |
    Report module providing common CLI capabilities for our Secure stage analyzers.

secure-common-ruleset:
  name: Static Analysis - Ruleset analyzer
  path: gitlab-org/security-products/analyzers/ruleset
  link: https://gitlab.com/gitlab-org/security-products/analyzers/ruleset
  description: |
    Ruleset module providing customized SAST ruleset capabilities for our Static Analysis category.

secure-SAST-tracking-calculator:
  name: Static Analysis - Tracking analyzer
  path: gitlab-org/security-products/post-analyzers/tracking-calculator
  link: https://gitlab.com/gitlab-org/security-products/post-analyzers/tracking-calculator
  description: |
    Post-Analyzer for augmenting SAST reports with scope_offset tracking information for our Static Analysis category.

sec-danger-bot:
  name: Sec Section Dangerbot
  path: gitlab-org/security-products/danger-bot
  link: https://gitlab.com/gitlab-org/security-products/danger-bot
  description: |
    Dangerbot used by the Sec Section

secure-LC-license-finder:
  name: License Compliance - License Finder analyzer
  path: gitlab-org/security-products/analyzers/license-finder
  link: https://gitlab.com/gitlab-org/security-products/analyzers/license-finder
  description: |
     License Finder analyzer providing scanning capabilities for our License Compliance category.

verify-accessibility:
  name: Accessibility
  path: gitlab-org/ci-cd/accessibility
  link: https://gitlab.com/gitlab-org/ci-cd/accessibility
  description: |
    Accessibility tool for GitLab CI

verify-codequality:
  name: Code Quality
  path: gitlab-org/ci-cd/codequality
  link: https://gitlab.com/gitlab-org/ci-cd/codequality
  description: |
    Code Quality Analysis tool for GitLab CI

container-registry:
  name: Container Registry
  path: gitlab-org/container-registry
  link: https://gitlab.com/gitlab-org/container-registry
  description: |
    With the Docker Container Registry integrated into GitLab, every project can have its own space to store its Docker images.

iglu:
  name: Iglu
  path: gitlab-org/iglu
  link: https://gitlab.com/gitlab-org/iglu
  description: |
    Iglu Schema Registry for https://gitlab-org.gitlab.io/iglu

status-page:
  name: GitLab Status Page
  path: gitlab-org/status-page
  link: https://gitlab.com/gitlab-org/status-page
  description: |
    With the GitLab Status page, you can create and deploy a static website to communicate efficiently with users during an incident.

cng:
  name: Cloud Native GitLab containers
  path: gitlab-org/build/CNG
  link: https://gitlab.com/gitlab-org/build/CNG
  description: |
    Cloud native container images per component of GitLab

release-cli:
  name: Release CLI
  path: gitlab-org/release-cli
  link: https://gitlab.com/gitlab-org/release-cli
  description: |
    The GitLab Release CLI consumes instructions in the :release node of the .gitlab-ci.yml to create a Release object in GitLab Rails.
    GitLab Release is a CLI application written in Golang.

gitlab-gollum-lib:
  name: gitlab-gollum-lib
  path: gitlab-org/gollum-lib
  link: https://gitlab.com/gitlab-org/gollum-lib
  description: |
    This gem provides some functionality for GitLab wikis.
    Forked from https://github.com/gollum/gollum-lib.

    The assignments also cover the dependant gem https://gitlab.com/gitlab-org/gitlab-gollum-rugged_adapter,
    which is forked from https://github.com/gollum/rugged_adapter.

sidekiq-reliable-fetch:
  name: GitLab Sidekiq Reliable Fetcher
  path: gitlab-org/sidekiq-reliable-fetch
  link: https://gitlab.com/gitlab-org/sidekiq-reliable-fetch
  description: |
    A Sidekiq module to make it handle jobs reliably.

marketing-operations:
  name: Marketing Operations
  path: gitlab.com/gitlab-com/marketing/marketing-operations
  link: https://gitlab.com/gitlab-com/marketing/marketing-operations
  description: |
    Marketing Operations (MktgOps) supports the entire Marketing team to streamline processes and manage related tools.

peopleops-splinter-pto:
  name: Splinter PTO
  path: gitlab.com/gitlab-com/people-group/peopleops-eng/splinter
  link: https://gitlab.com/gitlab-com/people-group/peopleops-eng/splinter
  description: |
    This gem is a wrapper for the PTO by Roots API.

peopleops-nominator-bot:
  name: Nominator
  path: gitlab.com/gitlab-com/people-group/peopleops-eng/nominatorbot
  link: https://gitlab.com/gitlab-com/people-group/peopleops-eng/nominatorbot
  description: |
    This is a slack bot created to use within GitLab to nominate team members for discretionary bonuses.

quality-ssh-tunnel:
  name: Quality SSH Tunnel
  path: gitlab.com/gitlab-org/quality/ssh-tunnel
  link: https://gitlab.com/gitlab-org/quality/ssh-tunnel
  description: |
    Docker image that provides internet connection to docker containers from CI.

quality-pipeline-common:
  name: Common CI for QA pipelines
  path: gitlab.com/gitlab-org/quality/pipeline-common
  link: https://gitlab.com/gitlab-org/quality/pipeline-common
  description: |
    This project has common CI config for the other QA pipeline projects.

peopleops-compensation-calculator:
  name: Compensation Calculator
  path: gitlab.com/gitlab-com/people-group/peopleops-eng/compensation-calculator/
  link: https://gitlab.com/gitlab-com/people-group/peopleops-eng/compensation-calculator/
  description: |
    Project that houses all the code and data files for our compensation calculator.

gitlab-rspec-profiling-stats:
  name: GitLab RSpec Profiling Statistics
  path: gitlab-org/rspec_profiling_stats
  link: https://gitlab.com/gitlab-org/rspec_profiling_stats
  description: |
    A simple CI job which generates basic statistics about most
    expensive RSpec tests. Identifying slowest / most expensive tests can help with
    optimizing our code and our specs.

rouge:
  name: Rouge
  path: rouge-ruby/rouge
  link: https://github.com/rouge-ruby/rouge
  description: |
   Syntax highlighting used in GitLab Rails (source code) and Gitaly (Wikis).

cloud-deploy:
  name: Cloud Deploy
  path: gitlab-org/cloud-deploy
  link: https://gitlab.com/gitlab-org/cloud-deploy
  description: |
    Docker images for deployments on major cloud platforms (GDC, Azure, AWS)

k8s-workloads-gitlab-com:
  name: Kubernetes workloads GitLab.com
  path: gitlab-com/gl-infra/k8s-workloads/gitlab-com/
  link: https://gitlab.com/gitlab-com/gl-infra/k8s-workloads/gitlab-com/
  description: |
   Deployment and configuration wrapper around the official GitLab Helm Charts
   used for deployments of GitLab.com services.

gitlab-figma-plugin:
  name: GitLab Figma Plugin
  path: gitlab-org/gitlab-figma-plugin
  link: https://gitlab.com/gitlab-org/gitlab-figma-plugin/
  description: |
    Figma plugin that enables users to upload designs from Figma to
    GitLab issues.

gitlab-sketch-plugin:
  name: GitLab Sketch Plugin
  path: gitlab-org/gitlab-sketch-plugin
  link: https://gitlab.com/gitlab-org/gitlab-sketch-plugin/
  description: |
    Sketch plugin that enables users to upload designs from Sketch to
    GitLab issues.

gitlab-vscode-extension:
  name: GitLab VS Code extension
  path: gitlab-org/gitlab-vscode-extension
  link: https://gitlab.com/gitlab-org/gitlab-vscode-extension/
  description: |
    VS Code Extension that integrates GitLab functionality into the VS Code editor.
    The extension supports searching and reviewing MRs, controlling pipelines and
    more. The project is also called GitLab Workflow.

secure-container-scanning:
  name: Container Scanning
  path: gitlab-org/security-products/analyzers/container-scanning
  link: https://gitlab.com/gitlab-org/security-products/analyzers/container-scanning
  description: |
    Container Image Security Scanning for GitLab CI

package-hunter:
  name: Package Hunter
  path: gitlab-org/security-products/package-hunter
  link: https://gitlab.com/gitlab-org/security-products/package-hunter
  description: |
    Behavioral analyzer for detecting malicious NodeJS modules or Ruby gems.

package-hunter-cli:
  name: Package Hunter CLI
  path: gitlab-org/security-products/package-hunter-cli
  link: https://gitlab.com/gitlab-org/security-products/package-hunter-cli
  description: |
    CLI client for Package Hunter. Useful to run Package Hunter jobs in CI or locally.

tamland:
  name: Tamland
  path: gitlab-com/gl-infra/tamland
  link: https://gitlab.com/gitlab-com/gl-infra/tamland
  description: |
    Tamland is a capacity planning forecasting tool used by the Infrastructure department to
    monitor potential capacity planning issues. More information is available in the handbook
    at https://about.gitlab.com/handbook/engineering/infrastructure/capacity-planning.

rb-ipynbdiff:
  name: IpynbDiff
  path: /gitlab-org/incubation-engineering/mlops/rb-ipynbdiff
  link: https://gitlab.com/gitlab-org/incubation-engineering/mlops/rb-ipynbdiff
  description: |
    A simple utility to create cleaner diffs for Jupyter Notebooks in Ruby.

## Gems
declarative-policy:
  name: Declarative Policy
  path: gitlab-org/ruby/gems/declarative-policy
  link: https://gitlab.com/gitlab-org/ruby/gems/declarative-policy
  description: |
    Gem for authorization logic used in GitLab Rails.

gitlab-dangerfiles:
  name: GitLab Dangerfiles
  path: gitlab-org/ruby/gems/gitlab-dangerfiles
  link: https://gitlab.com/gitlab-org/ruby/gems/gitlab-dangerfiles
  description: |
    The goal of this project is to centralize Danger plugins and rules that are used by multiple GitLab projects.

gitlab-experiment:
  name: GitLab Experiment
  path: gitlab-org/ruby/gems/gitlab-experiment
  link: https://gitlab.com/gitlab-org/ruby/gems/gitlab-experiment
  description: |
    Run experiments as A/B/n tests and review the data the experiment generates.

gitlab-mail_room:
  name: GitLab MailRoom
  path: gitlab-org/ruby/gems/gitlab-mail_room
  link: https://gitlab.com/gitlab-org/ruby/gems/gitlab-mail_room
  description: |
    This fork of `mail_room` contains some merged functionality that GitLab requires,
    so this mirror fork is to help us release custom functionality.
    `mail_room` is a configuration based process that will listen for incoming
    e-mail and execute a delivery method when a new message is received.

gitlab-styles:
  name: GitLab Styles
  path: gitlab-org/ruby/gems/gitlab-styles
  link: https://gitlab.com/gitlab-org/ruby/gems/gitlab-styles
  description: |
    This gem centralizes some shared GitLab's styles config (only RuboCop
    for now), as well as custom RuboCop cops.

gitlab-triage:
  name: GitLab Triage
  path: gitlab-org/ruby/gems/gitlab-triage
  link: https://gitlab.com/gitlab-org/ruby/gems/gitlab-triage
  description: |
    This gem aims to enable project managers and maintainers to automatically
    triage Issues and Merge Requests in GitLab projects based on defined
    policies.

graphql-ruby:
  name: Graphql Ruby
  path: gitlab-org/ruby/gems/graphql-ruby
  link: https://gitlab.com/gitlab-org/ruby/gems/graphql-ruby
  description: |
   Security motivated fork of https://github.com/rmosolgo/graphql-ruby.git.

grpc:
  name: gRPC
  path: gitlab-org/ruby/gems/grpc
  link: https://gitlab.com/gitlab-org/ruby/gems/grpc
  description: |
   Forked from https://github.com/grpc/grpc. Only used right now to build on IBM Z (s390x).

licenseFinder:
  name: LicenseFinder
  path: gitlab-org/ruby/gems/LicenseFinder
  link: https://gitlab.com/gitlab-org/ruby/gems/LicenseFinder
  description: |
   Fork of https://github.com/pivotal/LicenseFinder.git. Maintained temporarily to relax dependency on Thor.

protobuf:
  name: Google Protobuf
  path: gitlab-org/ruby/gems/protobuf
  link: https://gitlab.com/gitlab-org/ruby/gems/protobuf
  description: |
    Forked from https://github.com/protocolbuffers/protobuf. Only used right now to build on IBM Z (s390x).

gitlab-technical-interviews-backend:
  name: techtask
  path: gl-technical-interviews/backend/template/techtask
  link: https://gitlab.com/gl-technical-interviews/backend/template/techtask
  description: |
    Quickly set up your next backend technical interview. _Currently internal only._

security-report-schemas:
  name: Security Report Schemas
  path: gitlab-org/security-products/security-report-schemas
  link: https://gitlab.com/gitlab-org/security-products/security-report-schemas
  description: |
    Schemas documenting the security report format for dependency scanning, container scanning, SAST, DAST, and other analyzers.

terraform-provider-gitlab:
  name: terraform-provider-gitlab
  path: gitlabhq/terraform-provider-gitlab
  link: https://github.com/gitlabhq/terraform-provider-gitlab
  description: |
    The Terraform GitLab Provider is a plugin for Terraform that allows for the
    full lifecycle management of GitLab resources, like users, groups and
    projects.

gitlab-web-ide:
  name: gitlab-web-ide
  path: gitlab-org/gitlab-web-ide
  link: https://gitlab.com/gitlab-org/gitlab-web-ide
  description: |
    A package for bootstrapping GitLab's context-aware Web IDE.
